// This file is autogenerated.
//! Schema definitions for the `mediawiki/extensions/Linter` repository
use sea_query::IdenStatic;

/// `linter` table
///
/// Documentation may be available on [mediawiki.org](https://www.mediawiki.org/wiki/Manual:linter_table).
#[non_exhaustive]
#[derive(Copy, Clone, IdenStatic)]
#[iden = "linter"]
pub enum Linter {
    Table,
    /// `linter_cat` column
    #[iden = "linter_cat"]
    Cat,
    /// `linter_end` column
    #[iden = "linter_end"]
    End,
    /// `linter_id` column
    #[iden = "linter_id"]
    Id,
    /// `linter_namespace` column
    #[iden = "linter_namespace"]
    Namespace,
    /// `linter_page` column
    #[iden = "linter_page"]
    Page,
    /// `linter_params` column
    #[iden = "linter_params"]
    Params,
    /// `linter_start` column
    #[iden = "linter_start"]
    Start,
    /// `linter_tag` column
    #[iden = "linter_tag"]
    Tag,
    /// `linter_template` column
    #[iden = "linter_template"]
    Template,
}
